Name: curblaster
Version:  1.11
Release:  1%{?dist}
Summary: Sidescrolling shooter, carry the pods through the gate

Group: Amusements/Games 
License: GPLv3+
URL: http://curblaster.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: ncurses-devel, desktop-file-utils, SDL2_mixer-devel
Requires: hicolor-icon-theme

%description
Grab pods and drop them in the gate, while fighting enemies in your way.
Multiple weapons available.

%prep
%setup -q

%build

make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 curblaster %{buildroot}%{_bindir}/curblaster
mkdir -p %{buildroot}%{_mandir}/man6
install -p -m644 curblaster.6 %{buildroot}%{_mandir}/man6/curblaster.6
mkdir -p %{buildroot}%{_datadir}/curblaster/data
install -p -m644 data/* %{buildroot}%{_datadir}/curblaster/data
mkdir -p %{buildroot}%{_datadir}/appdata
install -m 644 curblaster.appdata.xml %{buildroot}%{_datadir}/appdata/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
  curblaster.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 curblaster-logo.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/curblaster
%doc CHANGELOG COPYING
%{_datadir}/applications/curblaster.desktop
%{_datadir}/icons/hicolor/32x32/apps/curblaster-logo.png
%{_datadir}/curblaster/
%{_mandir}/man6/curblaster.6.gz
%{_datadir}/appdata/curblaster.appdata.xml

%changelog
* Wed Sep 24 2014 Jon Ciesla <limburgher@gmail.com> - 1.11-1
- Migrated to SDL2.
- Included AppData.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 29 2012 Jon Ciesla <limburgher@gmail.com> - 1.10-1
- Improved in-game documentation.

* Mon Aug 06 2012 Jon Ciesla <limburgher@gmail.com> - 1.09-1
- Fix for crash, BZ 845930.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 05 2012 Jon Ciesla <limburgher@gmail.com> - 1.08-1
- Fixed gcc 4.7.0 errors.

* Sun Dec 04 2011 Jon Ciesla <limb@jcomserv.net> - 1.07-1
- Upstream relocated.

* Thu Jun 16 2011 Jon Ciesla <limb@jcomserv.net> - 1.06-1
- Silenced remaining compiler warnings.

* Fri Jun 10 2011 Jon Ciesla <limb@jcomserv.net> - 1.05-1
- Silenced a few compiler warnings.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar 18 2010 Jon Ciesla <limb@jcomserv.net> - 1.04-1
- Made any upstream flags non-mandatory.

* Tue Mar 16 2010 Jon Ciesla <limb@jcomserv.net> - 1.03-1
- Fixed flags, macros, icon scriptlets, linking, timestamps,
- description and sumamry.

* Fri Jan 15 2010 Jon Ciesla <limb@jcomserv.net> - 1.02-1
- Renamed project.

* Thu Jan 07 2010 Jon Ciesla <limb@jcomserv.net> - 1.01-1
- Review fixes in summary, macros, vendor desktop tag.

* Wed Jan 06 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-1
- create.
